Bug Hunting Session
Bug 86857 - HTML export: Page background color not saved to document
Summary: HTML export: Page background color not saved to document
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.4.0.0.beta1
Hardware: Other All
: medium normal
Assignee: Michael Stahl (CIB)
URL:
Whiteboard: target:4.5.0 target:4.4.0.0.beta3
Keywords: regression
Depends on:
Blocks:
 
Reported: 2014-11-29 17:07 UTC by Yousuf Philips (jay) (retired)
Modified: 2014-12-16 20:31 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2014-11-29 17:07:26 UTC
1) Open Writer Web
2) Format > Page
3) set a color in the Area tab
4) View > HTML Source
5) No color info added to html <body> tag

Regression as this works in 4.3 daily in the page background tab.

Version: 4.5.0.0.alpha0+
Build ID: 8bc56801af0540c0496c1f8ddd335578a8791017
TinderBox: Linux-rpm_deb-x86@45-TDF, Branch:master, Time: 2014-11-28_23:01:06
Comment 1 Jacques Guilleron 2014-12-01 14:54:37 UTC
Hi Jay,

I reproduce with 
LO 4.5.0.0.alpha0+ Build ID: 90fe751ab381cf59e87b79d921b3773567774af2
TinderBox: Win-x86@39, Branch:master, Time: 2014-11-27_05:30:25 Locale: fr_FR
but not with 
LO 4.3.4.0.0+ Build ID: 77c6ce66696a997269b9fe4dfed1dc2e51ecd00e
TinderBox: Win-x86@42, Branch:libreoffice-4-3, Time: 2014-10-17_16:12:56
& Windows 7 Home Premium

All the choices in the fill dropdown list cannot be applied. Area tab was named Background in the 4.3 releases. I assume this came with this change.

I set status to NEW.

Best regards,

Jacques
Comment 2 Yousuf Philips (jay) (retired) 2014-12-01 17:52:18 UTC
Hi Jacques,

(In reply to Jacques Guilleron from comment #1)
> All the choices in the fill dropdown list cannot be applied. Area tab was
> named Background in the 4.3 releases. I assume this came with this change.

The name was changed in the not yet released 4.4.
Comment 3 Michael Stahl (CIB) 2014-12-16 20:29:20 UTC
hmm why is this stupid HTML filter using the core directly...

fixed on master
Comment 4 Commit Notification 2014-12-16 20:30:07 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=298e144f8235bb4fe48e204764ec0ba936f3b0c0

fdo#86857: sw: fix HTML export of page style background color

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2014-12-16 20:31:29 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-4-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=8275fd953666198e67e82e517bd1bab8bf742683&h=libreoffice-4-4

fdo#86857: sw: fix HTML export of page style background color

It will be available in 4.4.0.0.beta3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.